## helma.framework
Class UploadStatus

    java.lang.Object
      helma.framework.UploadStatus

All Implemented Interfaces:
  java.io.Serializable

    public class UploadStatus

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`UploadStatus()`

Method Summary
`long` `getCurrent()`
`java.lang.String` `getError()`
`int` `getItemsRead()`
`long` `getTotal()`
`boolean` `isDisposable()`
`void` `setError(java.lang.String error)`
`java.lang.String` `toString()`
`void` `update(long bytesRead, long contentLength, int itemsRead)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UploadStatus

    public UploadStatus()

Method Detail

### update

    public void update(long bytesRead,
                       long contentLength,
                       int itemsRead)

### setError

    public void setError(java.lang.String error)

### getError

    public java.lang.String getError()

### getCurrent

    public long getCurrent()

### getTotal

    public long getTotal()

### getItemsRead

    public int getItemsRead()

### isDisposable

    public boolean isDisposable()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.